/// <reference types="google.maps" />
import React from "react";
import useMap from "./hooks/useMap";
import "./map.css";
interface MapProps extends google.maps.MapOptions {
    className?: string;
    children?: React.ReactElement | React.ReactNode | React.JSX.Element;
    onClick?: (e: google.maps.MapMouseEvent) => void;
}
declare const Map: (props: MapProps) => React.JSX.Element;
export default Map;
export { useMap };
